Subject: [lojban] Re: odd parse

From: Robin Lee Powell <[email-masked]>
Date: Fri, 11 Apr 2003 11:30:18 -0700

On Fri, Apr 11, 2003 at 02:24:31PM -0400, Pierre Abbat wrote:
> I made a variant of a previous tonguetwister, {la bab noi babzba
> ba zbasu lo jbazbabu lo babjba}, and ran it through jbofi'e. I
> expected it to throw it out because of the missing terminator, but
> it apparently parsed it as {la bab., noi babzba ba, zbasu lo
> jbazbabu lo babjba}. Is that correct?

I would have expected {la bab., noi babzba, ba zbasu lo
jbazbabu lo babjba}, but then LALR(1) can't do that. Certainly the
terminator isn't needed, though; once the brivla of the noi clause
has been seen, what can come next is very limited.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi